> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns aggregated information about users, that used given referral code



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/ReferralProgram/{referralCode}/referredUsers
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/ReferralProgram/{referralCode}/referredUsers:
    get:
      tags:
        - ReferralProgram
      summary: >-
        Returns aggregated information about users, that used given referral
        code
      operationId: ReferralProgram_GetReferredUsers
      parameters:
        - name: referralCode
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: skip
          in: query
          schema:
            type: integer
            format: int32
        - name: take
          in: query
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReferredUsersResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    ReferredUsersResponseDTO:
      type: object
      properties:
        users:
          type: array
          items:
            $ref: '#/components/schemas/ReferredUserDTO'
          description: Orders from requested page of the search result
          nullable: true
        totalCount:
          type: integer
          description: Total number of users
          format: int32
      additionalProperties: false
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error
    ReferredUserDTO:
      type: object
      properties:
        walletAddress:
          $ref: '#/components/schemas/AddressPropertyDTO'
        totalVolumeUSD:
          type: number
          description: >-
            Total give amount's USD equivalent of all user's orders that used
            the referral code
          format: double
        totalFeesUSD:
          type: number
          description: >-
            Total fees' USD equivalent of all user's orders that used the
            referral code
          format: double
        totalExecutedOrders:
          type: integer
          description: Total number of user's orders that used the referral code
          format: int32
        wasInvitedByCurrentUser:
          type: boolean
          description: >-
            Indicates whether the user is invited by the owner of the referral
            code passed in the request
      additionalProperties: false
      description: >-
        Information about a user, that used referral code [passed in the
        request] while creating an order
    AddressPropertyDTO:
      type: object
      properties:
        Base64Value:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false

````